org.springframework.web.portlet.mvc

## Interface EventAwareController

All Known Implementing Classes:
  PortletWrappingController

    public interface EventAwareController

Extension of the Portlet `Controller` interface that allows for handling Portlet 2.0 event requests as well. Can also be implemented by `AbstractController` subclasses.

Since:
  3.0
Author:
  Juergen Hoeller
See Also:
  `EventPortlet`, `Controller`, `ResourceAwareController`

### Method Summary

Methods
`void` `handleEventRequest(EventRequest request, EventResponse response)` Process the event request.

### Method Detail

#### handleEventRequest

    void handleEventRequest(EventRequest request,
                          EventResponse response)
                            throws Exception

Process the event request. There is nothing to return.

Parameters:
  `request` - current portlet event request
  `response` - current portlet event response
Throws:
  `Exception` - in case of errors